# class Raven::Sidekiq

### Public Instance Methods

call(_worker, msg, _queue) { || ... } click to toggle source

    # File lib/raven/integrations/sidekiq.rb, line 6
    def call(_worker, msg, _queue)
      started_at = Time.now
      yield
    rescue Exception => ex
      Raven.capture_exception(ex, :extra => { :sidekiq => msg },
                                  :time_spent => Time.now-started_at)
      raise
    end